Bug 1573571 - [abrt] gnome-settings-daemon: g_settings_set_property(): gsd-xsettings killed by SIGTRAP
Summary: [abrt] gnome-settings-daemon: g_settings_set_property(): gsd-xsettings killed...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8c78e9386ef191452ac236042f2...
: 1573689 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 17:50 UTC by kartochka22
Modified: 2019-05-28 20:06 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:06:29 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (26.51 KB, text/plain)
2018-05-01 17:50 UTC, kartochka22
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-01 17:50 UTC, kartochka22
no flags Details
File: core_backtrace (16.50 KB, text/plain)
2018-05-01 17:50 UTC, kartochka22
no flags Details
File: cpuinfo (1.28 KB, text/plain)
2018-05-01 17:50 UTC, kartochka22
no flags Details
File: dso_list (7.32 KB, text/plain)
2018-05-01 17:50 UTC, kartochka22
no flags Details
File: environ (3.56 KB, text/plain)
2018-05-01 17:50 UTC, kartochka22
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-01 17:50 UTC, kartochka22
no flags Details
File: maps (32.11 KB, text/plain)
2018-05-01 17:50 UTC, kartochka22
no flags Details
File: mountinfo (4.14 KB, text/plain)
2018-05-01 17:50 UTC, kartochka22
no flags Details
File: open_fds (948 bytes, text/plain)
2018-05-01 17:50 UTC, kartochka22
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-01 17:50 UTC, kartochka22
no flags Details
File: var_log_messages (288 bytes, text/plain)
2018-05-01 17:50 UTC, kartochka22
no flags Details

Description kartochka22 2018-05-01 17:50:16 UTC
Description of problem:
Install kernel from updates-testing, reboot, try to login to GNOME, segfault after passord enter. Previous kernel (current stable) work, using it to fill bug.

Version-Release number of selected component:
gnome-settings-daemon-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-xsettings
crash_function: g_settings_set_property
executable:     /usr/libexec/gsd-xsettings
journald_cursor: s=a60b53ad511240fbb1f0f305bbf03259;i=132e95;b=3f38b5dcaa324508a4240dbbc673904a;m=513f8a6;t=56b2865209295;x=55f29f390df4112d
kernel:         4.16.6-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1196792

Comment 1 kartochka22 2018-05-01 17:50:25 UTC
Created attachment 1429417 [details]
File: backtrace

Comment 2 kartochka22 2018-05-01 17:50:27 UTC
Created attachment 1429418 [details]
File: cgroup

Comment 3 kartochka22 2018-05-01 17:50:28 UTC
Created attachment 1429419 [details]
File: core_backtrace

Comment 4 kartochka22 2018-05-01 17:50:30 UTC
Created attachment 1429420 [details]
File: cpuinfo

Comment 5 kartochka22 2018-05-01 17:50:31 UTC
Created attachment 1429421 [details]
File: dso_list

Comment 6 kartochka22 2018-05-01 17:50:33 UTC
Created attachment 1429422 [details]
File: environ

Comment 7 kartochka22 2018-05-01 17:50:34 UTC
Created attachment 1429423 [details]
File: limits

Comment 8 kartochka22 2018-05-01 17:50:36 UTC
Created attachment 1429424 [details]
File: maps

Comment 9 kartochka22 2018-05-01 17:50:38 UTC
Created attachment 1429425 [details]
File: mountinfo

Comment 10 kartochka22 2018-05-01 17:50:39 UTC
Created attachment 1429426 [details]
File: open_fds

Comment 11 kartochka22 2018-05-01 17:50:41 UTC
Created attachment 1429427 [details]
File: proc_pid_status

Comment 12 kartochka22 2018-05-01 17:50:42 UTC
Created attachment 1429428 [details]
File: var_log_messages

Comment 13 Caleb Smith 2018-05-01 22:49:32 UTC
I have the same issue on my Fedora 28 machine, just updated. 

Looks like it could be related to this?
https://bugzilla.redhat.com/show_bug.cgi?id=1573546

I'll try that and report back.

Comment 14 Caleb Smith 2018-05-01 22:58:35 UTC
Okay yep, uninstalling caribou worked for me.

Comment 15 sangu 2018-05-02 01:58:47 UTC
*** Bug 1573689 has been marked as a duplicate of this bug. ***

Comment 16 kartochka22 2018-05-02 06:54:29 UTC
I still stand that selecting previous kernel (4.16.5-300.fc28.x86_64) in grub menu work as well, no idea why, maybe some subtle kernel change provoke caribou bug. Weird. Using current kernel (4.16.6-300.fc28.x86_64) make impossible to start GNOME, segfault after passord enter.

Comment 17 Soeren Grunewald 2018-05-02 11:03:55 UTC
Similar problem has been detected:

Updated from F27 to F28 and tried to login

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-xsettings
crash_function: g_settings_set_property
executable:     /usr/libexec/gsd-xsettings
journald_cursor: s=718ee23befcf478c865480c5e5b702c9;i=10fea5;b=b196cc6ebe1248dfabb485826e90b851;m=354e0719;t=56b36c918a366;x=3ea6db4601b8e221
kernel:         4.16.6-300.fc28.x86_64
package:        gnome-settings-daemon-3.28.1-1.fc28
reason:         gsd-xsettings killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Heiko Adams 2018-05-02 16:15:39 UTC
Similar problem has been detected:

Just tried to log into a new gnome session

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-xsettings
crash_function: g_settings_set_property
executable:     /usr/libexec/gsd-xsettings
journald_cursor: s=deed68ea97e64a5899c3a8d777a6e432;i=6418;b=dfd245e486e041a19a43e01b0a630c54;m=26cccaeb2;t=56b3a3e7e8cee;x=88b9a13f044a8d9a
kernel:         4.16.5-300.fc28.x86_64
package:        gnome-settings-daemon-3.28.1-1.fc28
reason:         gsd-xsettings killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 kartochka22 2018-05-02 20:56:29 UTC
Can confirm caribou-0.4.21-9.fc28 from updates-testing work nice even with last kernel 4.16.6-300.fc28.x86_64.

Comment 20 Tomasz Torcz 2018-05-05 16:31:37 UTC
Similar problem has been detected:

Logged in into GNOME.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-xsettings
crash_function: g_settings_set_property
executable:     /usr/libexec/gsd-xsettings
journald_cursor: s=55bf7705993047ad9bebf765eea38d8a;i=12c923;b=62d42cd7482244bea138433f17f28b1c;m=1025625f47a;t=56b49d10dda67;x=da247c7bdf1f250b
kernel:         4.15.11-300.fc27.x86_64
package:        gnome-settings-daemon-3.28.1-1.fc28
reason:         gsd-xsettings killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Comment 21 Ben Cotton 2019-05-02 21:50:37 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Ben Cotton 2019-05-28 20:06:29 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.